## texlive-base 2019.20200218

=== texmf-dist/doc/texlive/texlive-en/Makefile ===
# $Id: Makefile 53213 2019-12-22 22:22:33Z karl $
# Makefile for TeX Live documentation.  Public domain.
doc = texlive-en

all: pdf html

env = TEXINPUTS=../texlive-common:../texlive-en:; export TEXINPUTS;

pdf:
	rm -f *.aux *.toc *.lof *.lot *.xref* *.tmp *.out
	$(env) texfot pdflatex --file-line-error '\nonstopmode\def\Status{1}\input $(doc)'
	$(env) pdflatex '\nonstopmode\def\Status{1}\input $(doc)'
	$(env) pdflatex '\nonstopmode\def\Status{1}\input $(doc)'
	$(env) pdflatex '\nonstopmode\def\Status{1}\input $(doc)'

html:
	rm -f *.aux *.toc *.lof *.lot *.xref* *.tmp *.out *.4tc
# this sequence is equivalent to running "ht latex $(doc)".  We do it
# this way so we can \def\Status for the \ifcase in tex-live.sty.
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) tex4ht $(doc)
	$(env) t4ht $(doc)

# just run tex once without cleaning temp files.
pdf1:
	$(env) texfot pdflatex --file-line-error '\nonstopmode\def\Status{1}\input $(doc)'

clean:
	rm -f *.aux *.log *.blg *.toc *.out *.lot tex4ht.ps *.4*
	rm -f *.xref* *.lg *.idv *.out *.otc *.tmp tmp.*
	rm -f $(doc).dvi $(doc).ps

realclean: clean
	rm -f $(doc).pdf
	rm -f *.html *.htm $(doc).css *.gif *.jpg

spell:
	cat texlive-en.tex \
	| aspell list --mode=tex --add-extra-dicts=`pwd`/.dict.pws  \
	| sort -f -u

svr:
	svn revert texlive-??.css texlive-??.html texlive-??.pdf
	svn status

=== texmf-dist/source/latex/listings/Makefile ===
### Makefile ---
#
# This file generates files required to use the listings package.
#
# $Id$
#
# (c) 2007 Brooks Moses
# (c) 2013-2018 Jobst Hoffmann
#
# This file is distributed under the terms of the LaTeX Project Public
# License from CTAN archives in directory  macros/latex/base/lppl.txt.
# Either version 1.3c or, at your option, any later version.

# remember:
# $<: first element of list of dependees
# $^: list of (all) dependees
# $@: target

# formatting tools
LATEX = pdflatex
MAKEINDEX = makeindex
TEX = tex
# tarring options
ifneq "$(wildcard listings.version)" ""
include listings.version        # version and date of the package
endif
TAR_SRC = $(PACKAGE)-$(VERSION)_source.tgz
EXsvn = --exclude .svn --exclude auto --exclude contrib --exclude requests \
	--exclude support --exclude testing \
	--exclude *.tgz --exclude *.txt

DISTRIBUTION_FILES = ../$(PACKAGE)/$(PACKAGE).pdf \
	../$(PACKAGE)/$(PACKAGE)-devel.pdf \
	../$(PACKAGE)/$(PACKAGE).dtx \
	../$(PACKAGE)/$(PACKAGE).ins \
	../$(PACKAGE)/README \
	../$(PACKAGE)/Makefile \
	../$(PACKAGE)/lstdrvrs.dtx \
	../$(PACKAGE)/lstdrvrs.ins \
	../$(PACKAGE)/lstdrvrs.pdf 
PACKAGE_FILES = $(subst ../$(PACKAGE)/,,$(DISTRIBUTION_FILES))

.SUFFIXES:                              # Delete the default suffixes
.SUFFIXES: .dtx .ins .pdf .sty          # Define our own suffix list

.PHONY: listings pdf pdf-devel tests all

listings: listings.sty

pdf: listings.pdf lstdrvrs.pdf

pdf-devel: listings-devel.pdf

all: listings pdf pdf-devel


listings.sty: listings.ins listings.dtx lstdrvrs.dtx
	$(TEX) $<

listings.pdf: listings.sty
	echo "\PassOptionsToClass{a4paper}{article}" > ltxdoc.cfg
	$(LATEX) ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist ${@:.pdf=}
	$(LATEX) ${<:.sty=.dtx}
	$(LATEX) ${<:.sty=.dtx}
	rm -f ltxdoc.cfg

listings-devel.pdf: listings.sty
	echo "\PassOptionsToClass{a4paper}{article}" > ltxdoc.cfg
	echo "\AtBeginDocument{\AlsoImplementation}" >> ltxdoc.cfg
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist ${@:.pdf=}
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	rm -f ltxdoc.cfg

lstdrvrs.pdf: lstdrvrs.dtx
	echo "\PassOptionsToClass{a4paper}{article}" > ltxdoc.cfg
	$(LATEX) ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist lstdrvrs
	$(LATEX) ${<:.sty=.dtx}
	$(LATEX) ${<:.sty=.dtx}
	rm -f ltxdoc.cfg

## Testing targets
acm-tests:
	cd testing; make acm

algol-tests:
	cd testing; make algol

bash-tests:
	cd testing; make bash

c++11-tests:
	cd testing; make c++11

cobol-tests:
	cd testing; make cobol

fortran-tests:
	cd testing; make fortran

elisp-tests:
	cd testing; make elisp

gap-tests:
	cd testing; make gap

go-tests:
	cd testing; make go

hansl-tests:
	cd testing; make hansl

llvm-tests:
	cd testing; make llvm

lua-tests:
	cd testing; make lua

mathematica-tests:
	cd testing; make mathematica

python-tests:
	cd testing; make python

scala-tests:
	cd testing; make scala

swift-tests:
	cd testing; make swift

vbscript-tests:
	cd testing; make vbscript

xml-tests:
	cd testing; make xml

tests:
	cd testing; make all

## Clean targets
clean:
	-rm -f  *~ *.aux *.lof *.log *.lot *.tmp *.toc
	-rm -f *.idx *.ind *.glg *.glo *.gls *.ilg *.out
	-rm -f *.bbl *.blg *.brf

clean-results:
	-rm -f *.cfg *.pdf *.prf *.sty

realclean:  clean clean-results

### create packed files
tar-src:
	@$(MAKE) realclean; \
	sed -i -e "s+fileversion{[a-z0-9\.\-]*}+fileversion{$(VERSION)}+g" \
	    -e "s+filedate{[0-9/]*}+filedate{$(DATE)}+g" \
	    -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
		listings.dtx; \
	sed -i -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
	    -e "s+\[[0-9/]* [a-z0-9\.\-]* listings+[$(DATE) $(VERSION) listings+g" \
		lstdrvrs.dtx; \
	cd ..; tar $(EXsvn) -czvf $(PACKAGE)/$(TAR_SRC) $(PACKAGE)

tar-dist: $(PACKAGE_FILES)
	@$(MAKE) realclean; \
	sed -i -e "s+fileversion{[a-z0-9\.\-]*}+fileversion{$(VERSION)}+g" \
	    -e "s+filedate{[0-9/]*}+filedate{$(DATE)}+g" \
	    -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
		listings.dtx; \
	sed -i -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
	    -e "s+\[[0-9/]* [a-z0-9\.\-]* listings+[$(DATE) $(VERSION) listings+g" \
		lstdrvrs.dtx; \
	$(MAKE) listings.pdf; \
	$(MAKE) listings-devel.pdf; \
	$(MAKE) lstdrvrs.pdf; \
	tar cfvz $(PACKAGE)-$(VERSION).tgz $(DISTRIBUTION_FILES);

tagged-release:
	sed -n -e "/Version $(VERSION)/,$$$$w announcement_text.log" \
	    announcement_text.txt
	svn copy --file ./announcement_text.log \
		svn+ssh://j_hoffmann@svn.gnu.org.ua/listings/trunk \
		svn+ssh://j_hoffmann@svn.gnu.org.ua/listings/tags/$(VERSION)
	rm announcement_text.log


## Documentation target
help::
	$(info Usage:)
	$(info )
	$(info make [all]	generates listings.sty and [all] the .pdf versions)
	$(info $(empty)		(user/developer) of the documentation)
	$(info )
	$(info make <file name>)
	$(info $(empty)		creates the corresponding file denoted by <file name>)
	$(info )
	$(info make help	shows this help)
	$(info )
	$(info make tests	performs a little test suite)
	$(info )
	$(info make clean	removes all intermediate files created by a LaTeX run)
	$(info )
	$(info make clean-results)
	$(info $(empty)		removes .cfg, .sty, and .pdf files)
	$(info )
	$(info make realclean)
	$(info $(empty)		performs clean and clean-results)
	$(info )
	$(info make tar-src)
	$(info $(empty)		generates a tarred version of the current directory)
	$(info )
	$(info make tar-dist)
	$(info $(empty)		generates a distributable version of the listings)
	$(info $(empty)		package)
	$(info )
	$(info make tagged-release)
	$(info $(empty)		creates a new tagged version of the package based on)
	$(info $(empty)		the contents of listings.version and announcement_text.txt)
	@echo ""					# prevents message "nothing to do ..."

### Makefile ends here ---

=== texmf-dist/doc/generic/pgf/version-for-dvips/en/Makefile ===
rerun = "(There were undefined references|Rerun to get (cross-references|the bars) right)"
doc   = pgfmanual
latex = latex
TEXINPUTS := ../../text-en:$(TEXINPUTS)

all: $(doc).ps

pgfmanual.ps: $(doc).tex revisionfile
	TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc).tex
	(egrep -q $(rerun) $(doc).log && TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc).tex) || true
	dvips -o $(doc).ps $(doc).dvi
	gs -dNOPAUSE -sDEVICE=pdfwrite -dBATCH -dCompatibilityLevel=1.4 -sOutputFile=$(doc).pdf $(doc).ps

test: $(doc)-test.tex revisionfile
	TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc)-test.tex
	(egrep -q $(rerun) $(doc).log && TEXINPUTS="$(TEXINPUTS)" $(latex) $(doc)-test.tex) || true
	dvips -o $(doc)-test.ps $(doc)-test.dvi
	gs -dNOPAUSE -sDEVICE=pdfwrite -dBATCH -dCompatibilityLevel=1.4 -sOutputFile=$(doc)-test.pdf $(doc)-test.ps

revisionfile:
	cd ../../../../.. && ./scripts/pgf/pgfrevisionfile.sh

clean:
	rm -f  \
		plots/* \
		pgfmanual.out \
		pgfmanual.log \
		pgfmanual.idx \
		pgfmanual.ind \
		pgfmanual.ilg \
		pgfmanual.pdf \
		pgfmanual.toc \
		pgfmanual.bbl \
		pgfmanual.blg \
		pgfmanual.ps \
		pgfmanual.dvi \
		pgfmanual*.aux

=== debian/changelog ===
texlive-base (2019.20200218-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Tue, 18 Feb 2020 07:37:38 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.13), findutils (>=4.2.0)
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6), texlive-binaries (>= 2019.20190605), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2019.20200218), texlive-base (<< 2019.20200218), texlive-bibtex-extra (<< 2019.202000218), texlive-binaries (<< 2019.20190605), texlive-extra-utils (<< 2019.202000218), texlive-font-utils (<< 2019.202000218), texlive-fonts-extra (<< 2019.202000218), texlive-fonts-extra-doc (<< 2019.202000218), texlive-fonts-extra-links (<< 2019.202000218), texlive-fonts-recommended (<< 2019.20200218), texlive-fonts-recommended-doc (<< 2019.20200218), texlive-formats-extra (<< 2019.202000218), texlive-full (<< 2019.20200218), texlive-games (<< 2019.202000218), texlive-humanities (<< 2019.202000218), texlive-humanities-doc (<< 2019.202000218), texlive-lang-all (<< 2019.20200218), texlive-lang-arabic (<< 2019.20200218), texlive-lang-chinese (<< 2019.20200218), texlive-lang-cjk (<< 2019.20200218), texlive-lang-cyrillic (<< 2019.20200218), texlive-lang-czechslovak (<< 2019.20200218), texlive-lang-english (<< 2019.20200218), texlive-lang-european (<< 2019.20200218), texlive-lang-french (<< 2019.20200218), texlive-lang-german (<< 2019.20200218), texlive-lang-greek (<< 2019.20200218), texlive-lang-italian (<< 2019.20200218), texlive-lang-japanese (<< 2019.20200218), texlive-lang-korean (<< 2019.20200218), texlive-lang-other (<< 2019.20200218), texlive-lang-polish (<< 2019.20200218), texlive-lang-portuguese (<< 2019.20200218), texlive-lang-spanish (<< 2019.20200218), texlive-latex-base (<< 2019.20200218), texlive-latex-base-doc (<< 2019.20200218), texlive-latex-extra (<< 2019.202000218), texlive-latex-extra-doc (<< 2019.202000218), texlive-latex-recommended (<< 2019.20200218), texlive-latex-recommended-doc (<< 2019.20200218), texlive-luatex (<< 2019.20200218), texlive-metapost (<< 2019.20200218), texlive-metapost-doc (<< 2019.20200218), texlive-music (<< 2019.202000218), texlive-pictures (<< 2019.20200218), texlive-pictures-doc (<< 2019.20200218), texlive-plain-generic (<< 2019.202000218), texlive-pstricks (<< 2019.202000218), texlive-pstricks-doc (<< 2019.202000218), texlive-publishers (<< 2019.202000218), texlive-publishers-doc (<< 2019.202000218), texlive-science (<< 2019.202000218), texlive-science-doc (<< 2019.202000218), texlive-xetex (<< 2019.20200218)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2019.20200131), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 gsftopk -- Convert "Ghostscript fonts" to PK files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 updmap-map -- auto-generated font map files
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2019.20200218), texlive-base (>= 2019.20200218), texlive-binaries (>= 2019.20190605)
Suggests: texlive-latex-base-doc
Replaces: texlive-latex-recommended (<< 2019.20200205)
Breaks: texlive-base (<< 2019.20200218), texlive-latex-extra (<< 2019.20191203), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2019.20200218), texlive-binaries (>= 2019.20190605), texlive-latex-base (>= 2019.20200218)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2019.20200218), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use, and the release candidate formats latex-dev, etc.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .
 attachfile2 -- Attach files into PDF
 .
 beamer -- A LaTeX class for producing presentations and slides
 .
 bitset -- Handle bit-vector datatype
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations
 .
 caption -- Customising captions in floating environments
 .
 cite -- Improved citation handling in LaTeX
 .
 cmap -- Make PDF files searchable and copyable
 .
 crop -- Support for cropmarks
 .
 ctable -- Flexible typesetting of table and figure floats using key/value
 directives
 .
 eso-pic -- Add picture commands (or backgrounds) to every page
 .
 euenc -- Unicode font encoding definitions for XeTeX
 .
 euler -- Use AMS Euler fonts for math
 .
 etoolbox -- e-TeX tools for LaTeX
 .
 extsizes -- Extend the standard classes' size options
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	rm -f debian/texlive-base.cnf


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/useless-fix-perl-shebang-for-policy $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	mkdir -p debian/texlive-base/usr/share/applications
	install debian/texdoctk.desktop debian/texlive-base/usr/share/applications
	# install texdoc data cache
	mkdir -p debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/
	install debian/Data.tlpdb.lua debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/Data.tlpdb.lua



	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A 		\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --flavor=tree:texlive
	# TODO remove for TL2020
	# /var/lib/tex-common/fmtutil-cnf/texlive/texlive-luatex.cnf
	# contains only luahbtex definition, which we don't ship by now
	rm debian/texlive-luatex/var/lib/tex-common/fmtutil-cnf/texlive/texlive-luatex.cnf
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# TODO remove for TL2020 - check!!!
	# after scripts rework we now have several "scripts" in /usr/bin that are
	# originally contained in texlive-binaries
	# remove them here so they don't interfer, but work on that when TL2020
	# is released
	rm debian/texlive-base/usr/bin/mktexlsr
	rm debian/texlive-base/usr/bin/mktexmf
	rm debian/texlive-base/usr/bin/mktexpk
	rm debian/texlive-base/usr/bin/mktextfm
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info

	dh_installmime
	dh_lintian
	dh_link
	dh_strip_nondeterminism
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

## texlive-base 2020.20200417

=== debian/changelog ===
texlive-base (2020.20200417-1) unstable; urgency=medium

  * New upstream checkout
  * Bump tex-common dep to 6.14 to get luajithbtex ignores.

 -- Norbert Preining <norbert@preining.info>  Fri, 17 Apr 2020 10:33:13 +0900

texlive-base (2020.20200329-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Add lmodern dep for optex (Closes: #956625)

 -- Hilmar Preusse <hille42@web.de>  Tue, 14 Apr 2020 22:05:37 +0200

texlive-base (2020.20200329-2) unstable; urgency=medium

  * TeX Live 2020
  * fix dangling links moved to tl-extra-utils (Closes: #955737)

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Apr 2020 08:46:35 +0900

texlive-base (2020.20200329-1) experimental; urgency=medium

  * TL 2020 (planned DVD release)

 -- Norbert Preining <norbert@preining.info>  Sun, 29 Mar 2020 13:50:15 +0900

texlive-base (2020.20200313-1) experimental; urgency=medium

  * start working on 2020

 -- Norbert Preining <norbert@preining.info>  Fri, 13 Mar 2020 11:00:40 +0900

texlive-base (2019.20200302-1) unstable; urgency=medium

  * New upstream checkout
    - move hyperref deps to tl-latex-base (Closes: #952460)
    - several patch levels of the LaTeX kernel

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Mar 2020 04:55:08 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2020.20200327), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2020.20200417), texlive-base (<< 2020.20200417), texlive-bibtex-extra (<< 2020.20200417), texlive-binaries (<< 2020.20200327), texlive-extra-utils (<< 2020.20200417), texlive-font-utils (<< 2020.20200417), texlive-fonts-extra (<< 2020.20200417), texlive-fonts-extra-doc (<< 2020.20200417), texlive-fonts-extra-links (<< 2020.20200417), texlive-fonts-recommended (<< 2020.20200417), texlive-fonts-recommended-doc (<< 2020.20200417), texlive-formats-extra (<< 2020.20200417), texlive-full (<< 2020.20200417), texlive-games (<< 2020.20200417), texlive-humanities (<< 2020.20200417), texlive-humanities-doc (<< 2020.20200417), texlive-lang-all (<< 2020.20200417), texlive-lang-arabic (<< 2020.20200417), texlive-lang-chinese (<< 2020.20200417), texlive-lang-cjk (<< 2020.20200417), texlive-lang-cyrillic (<< 2020.20200417), texlive-lang-czechslovak (<< 2020.20200417), texlive-lang-english (<< 2020.20200417), texlive-lang-european (<< 2020.20200417), texlive-lang-french (<< 2020.20200417), texlive-lang-german (<< 2020.20200417), texlive-lang-greek (<< 2020.20200417), texlive-lang-italian (<< 2020.20200417), texlive-lang-japanese (<< 2020.20200417), texlive-lang-korean (<< 2020.20200417), texlive-lang-other (<< 2020.20200417), texlive-lang-polish (<< 2020.20200417), texlive-lang-portuguese (<< 2020.20200417), texlive-lang-spanish (<< 2020.20200417), texlive-latex-base (<< 2020.20200417), texlive-latex-base-doc (<< 2020.20200417), texlive-latex-extra (<< 2020.20200417), texlive-latex-extra-doc (<< 2020.20200417), texlive-latex-recommended (<< 2020.20200417), texlive-latex-recommended-doc (<< 2020.20200417), texlive-luatex (<< 2020.20200417), texlive-metapost (<< 2020.20200417), texlive-metapost-doc (<< 2020.20200417), texlive-music (<< 2020.20200417), texlive-pictures (<< 2020.20200417), texlive-pictures-doc (<< 2020.20200417), texlive-plain-generic (<< 2020.20200417), texlive-pstricks (<< 2020.20200417), texlive-pstricks-doc (<< 2020.20200417), texlive-publishers (<< 2020.20200417), texlive-publishers-doc (<< 2020.20200417), texlive-science (<< 2020.20200417), texlive-science-doc (<< 2020.20200417), texlive-xetex (<< 2020.20200417)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 updmap-map -- auto-generated font map files
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2020.20200417), texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327)
Suggests: texlive-latex-base-doc
Replaces: texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
Breaks: texlive-base (<< 2020.20200417), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327), texlive-latex-base (>= 2020.20200417)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2020.20200417), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-base (<< 2019.20200225), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use, and the release candidate formats latex-dev, etc.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .
 attachfile2 -- Attach files into PDF
 .
 beamer -- A LaTeX class for producing presentations and slides
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations
 .
 caption -- Customising captions in floating environments
 .
 cite -- Improved citation handling in LaTeX
 .
 cmap -- Make PDF files searchable and copyable
 .
 crop -- Support for cropmarks
 .

## texlive-base 2020.20200522

=== debian/changelog ===
texlive-base (2020.20200522-1) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Change Maintainer field to "Debian TeX Task Force".

  [ Norbert Preining ]
  * New upstream checkout.
  * Add missing texhash link (Closes: #960335)

 -- Norbert Preining <norbert@preining.info>  Fri, 22 May 2020 21:37:31 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: texlive-base
 Section: tex
 Priority: optional
-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
